@if (testCaseViewComponentData) {
  <div class="flex-row test-case-weight-row">
    <sqtm-core-editable-select-level-enum-field
      (toggleEditEvent)="onToggleEditMode($event)"
      [ngClass]="selectFieldCssClass"
      [showIcon]="true"
      [layout]="'no-buttons'"
      [enumType]="'TestCaseWeight'"
      [sqtmCoreEntityViewEditableSelectLevelEnumField]="'importance'"
      [attr.data-test-field-id]="'test-case-importance'"
      [editable]="isImportanceEditable"
    >
    </sqtm-core-editable-select-level-enum-field>
    <sqtm-core-editable-check-box
      style="margin-left: 10px"
      [attr.data-test-field-id]="'test-case-importance-auto'"
      [editable]="editable"
      [value]="testCaseViewComponentData.testCase.importanceAuto"
      (confirmEvent)="changeImportanceAuto($event)"
    >
    </sqtm-core-editable-check-box>
    <label class="txt-ellipsis m-l-5">{{
      'sqtm-core.entity.test-case.importance.auto' | translate
    }}</label>
  </div>
}
